﻿<?xml version="1.0" encoding="utf-8" ?>
<local:SignUpPageXaml
    x:Class="PrescriptionApp.View.SignUpPage"
    xmlns="http://xamarin.com/schemas/2014/forms"
    xmlns:x="http://schemas.microsoft.com/winfx/2009/xaml"
    xmlns:Control="clr-namespace:PrescriptionApp.CustomeRender"
    xmlns:ffImageLoading="clr-namespace:FFImageLoading.Forms;assembly=FFImageLoading.Forms"
    xmlns:fftransformations="clr-namespace:FFImageLoading.Transformations;assembly=FFImageLoading.Transformations"
    xmlns:ios="clr-namespace:Xamarin.Forms.PlatformConfiguration.iOSSpecific;assembly=Xamarin.Forms.Core"
     xmlns:yummy="clr-namespace:Xamarin.Forms.PancakeView;assembly=Xamarin.Forms.PancakeView"
      xmlns:bansi="clr-namespace:PrescriptionApp.CustomeRender"
    xmlns:local="clr-namespace:PrescriptionApp.View"
    xmlns:resources="clr-namespace:PrescriptionApp.Helper.Resources"  xmlns:xct="http://xamarin.com/schemas/2020/toolkit"
    ios:Page.UseSafeArea="true"
    NavigationPage.HasNavigationBar="False"
    BackgroundColor="White">

    <ContentPage.Content>
        <Grid Padding="20" RowDefinitions="*,*,auto,auto,auto,auto,auto,auto,auto">
            <Image
                Grid.Row="0" HeightRequest="180"
                Aspect="AspectFill"
                HorizontalOptions="Center"
                Source="circle_logo"
                VerticalOptions="Center" 
                Margin="0,50,0,0"/>
            <StackLayout
                Grid.Row="1"
                Margin="0,0,0,0"
                Padding="0,0,0,0"
                Spacing="15">
                <yummy:PancakeView
                    Padding="20,10,0,10"
                    BackgroundColor="White"
                    CornerRadius="20"
                    Shadow="{yummy:ShadowMarkup Color=#000000,
                                                Offset='5,5'}">

                    <Grid Padding="0" ColumnDefinitions="auto,auto,*" ColumnSpacing="10">
                        <Image
                            Grid.Column="0"
                            HeightRequest="20" xct:IconTintColorEffect.TintColor="#BA8CF0"
                            HorizontalOptions="EndAndExpand"
                            Source="BlueEmail"
                            VerticalOptions="CenterAndExpand" />
                        <BoxView
                            Grid.Column="1"
                            BackgroundColor="{x:Static resources:Colors.purpal}"
                            CornerRadius="10"
                            HeightRequest="20"
                            HorizontalOptions="Center"
                            VerticalOptions="Center"
                            WidthRequest="2" />
                        <bansi:XEntry
                            Grid.Column="2"
                            FontSize="15"
                            Keyboard="Email"
                            PlaceholderColor="{x:Static resources:Colors.DimGray}"
                            TextColor="{x:Static resources:Colors.DimGray}"
                            Placeholder="Enter The Email"
                            Text="{Binding RegistrationInput.Email}"/>
                    </Grid>
                </yummy:PancakeView>
                <yummy:PancakeView
                    Padding="20,10,0,10"
                    BackgroundColor="White"
                    CornerRadius="20"
                    Shadow="{yummy:ShadowMarkup Color=#000000,
                                                Offset='5,5'}">

                    <Grid ColumnDefinitions="auto,auto,auto" ColumnSpacing="10">
                        <Image
                            Grid.Column="0"
                            HeightRequest="20"
                            HorizontalOptions="Center" xct:IconTintColorEffect.TintColor="#BA8CF0"
                            Source="BluePhone"
                            VerticalOptions="CenterAndExpand" />
                        <BoxView
                            Grid.Column="1"
                            BackgroundColor="{x:Static resources:Colors.purpal}"
                            CornerRadius="10"
                            HeightRequest="20"
                            HorizontalOptions="Center"
                            VerticalOptions="Center"
                            WidthRequest="2" />
                        <bansi:XEntry
                            Grid.Column="2"
                            FontSize="15"
                            Keyboard="Numeric"
                            PlaceholderColor="{x:Static resources:Colors.DimGray}"
                             TextColor="{x:Static resources:Colors.DimGray}"
                            Placeholder="Enter The Mobile"
                            Text="{Binding RegistrationInput.Contact}" />
                    </Grid>
                </yummy:PancakeView>
                <yummy:PancakeView
                   Padding="20,10,0,10"
                    BackgroundColor="White"
                    CornerRadius="20"
                    Shadow="{yummy:ShadowMarkup Color=#000000,
                                                Offset='5,5'}">

                    <Grid Padding="0" ColumnDefinitions="auto,auto" ColumnSpacing="10">
                        <Image
                            Grid.Column="0" xct:IconTintColorEffect.TintColor="#BA8CF0"
                            HeightRequest="20"
                            HorizontalOptions="EndAndExpand"
                            Source="BlueKey"
                            VerticalOptions="CenterAndExpand" />
                        <BoxView
                            Grid.Column="1"
                            BackgroundColor="{x:Static resources:Colors.purpal}"
                            CornerRadius="10"
                            HeightRequest="20"
                            HorizontalOptions="Center"
                            VerticalOptions="Center"
                            WidthRequest="2" />
                        <bansi:XEntry
                            Grid.Column="2"
                            FontSize="15"
                            IsPassword="True"
                            Keyboard="Default"
                            MaxLength="10"
                            PlaceholderColor="{x:Static resources:Colors.DimGray}"
                             TextColor="{x:Static resources:Colors.DimGray}"
                            Placeholder="Enter The Password"
                            Text="{Binding RegistrationInput.Password}" />

                    </Grid>
                </yummy:PancakeView>
                <yummy:PancakeView
                    Padding="20,2,0,2"
                    BackgroundColor="White"
                    CornerRadius="20"
                    HeightRequest="40"
                    Shadow="{yummy:ShadowMarkup Color=#000000,
                                                Offset='5,5'}">

                    <Grid ColumnDefinitions="auto,auto,auto" ColumnSpacing="10">
                        <Image
                            Grid.Column="0"
                            HeightRequest="20" xct:IconTintColorEffect.TintColor="#BA8CF0"
                            Source="BlueUser"
                            VerticalOptions="CenterAndExpand" />
                        <BoxView
                            Grid.Column="1"
                            BackgroundColor="{x:Static resources:Colors.purpal}"
                            CornerRadius="10"
                            HeightRequest="20"
                            HorizontalOptions="Center"
                            VerticalOptions="Center"
                            WidthRequest="2" />
                        <bansi:PLPicker
                            Title="Select User Type"
                            Grid.Column="2"
                            FontSize="15"
                          
                            ItemDisplayBinding="{Binding UserType}"
                            ItemsSource="{Binding UserTypeList}"
                            SetHintTextColor="{x:Static resources:Colors.LightGray}"
                            SelectedItem="{Binding SelectedUserType}"
                            />
                        <!--<Control:PLPicker
                            Title="Select User Type"
                            Grid.Column="2"
                            FontSize="15"
                            ItemDisplayBinding="{Binding UserType}"
                            ItemsSource="{Binding UserTypeList}"
                            SelectedItem="{Binding SelectedUserType}"
                            TextColor="Black" />-->

                    </Grid>
                </yummy:PancakeView>
                <yummy:PancakeView
                   Padding="20,10,0,10"
                    Margin="0,0,0,10"
                    BackgroundColor="White"
                    CornerRadius="20"
                    Shadow="{yummy:ShadowMarkup Color=#000000,
                                                Offset='5,5'}">

                    <Grid ColumnDefinitions="auto,auto,*,*" ColumnSpacing="10">
                        <Image
                            Grid.Column="0" xct:IconTintColorEffect.TintColor="#BA8CF0"
                            HeightRequest="20"
                            HorizontalOptions="Center"
                            Source="locationBlue"
                            VerticalOptions="CenterAndExpand" />
                        <BoxView
                            Grid.Column="1"
                            BackgroundColor="{x:Static resources:Colors.purpal}"
                            CornerRadius="10"
                            HeightRequest="20"
                            HorizontalOptions="Center"
                            VerticalOptions="Center"
                            WidthRequest="2" />

                        <Control:XEntry
                        Grid.Column="2"
                        IsReadOnly="{Binding IsEditable}"
                        Placeholder="Address"
                        PlaceholderColor="{x:Static resources:Colors.DimGray}"
                        TextColor="{x:Static resources:Colors.DimGray}"
                        Text="{Binding RegistrationInput.Address}" >
                        </Control:XEntry>


                        <Label
                        Grid.Column="3"
                        Text="Select"
                        TextColor="Black">

                            <Label.GestureRecognizers>
                                <TapGestureRecognizer Command="{Binding SelectLocationCommand}" />
                            </Label.GestureRecognizers>

                        </Label>
                        

                    <ffImageLoading:CachedImage
                        Grid.Column="3"
                        Margin="0,0,10,0"
                        HeightRequest="30"
                        Source="locationicon"
                        WidthRequest="30">

                        <ffImageLoading:CachedImage.GestureRecognizers>
                            <TapGestureRecognizer Command="{Binding SelectLocationCommand}" />
                        </ffImageLoading:CachedImage.GestureRecognizers>

                    </ffImageLoading:CachedImage>
                        <!--<bansi:XEntry
                            Grid.Column="2"
                            FontSize="15"
                            PlaceholderColor="{x:Static resources:Colors.DimGray}"
                            TextColor="{x:Static resources:Colors.DimGray}"
                            Placeholder="Address"
                            IsReadOnly="{Binding IsEditable}"
                            Text="{Binding RagistrationInput.Address}" />
                        <Label
                        Grid.Column="3"
                        Text="Select"
                        TextColor="White">

                            <Label.GestureRecognizers>
                                <TapGestureRecognizer Command="{Binding SelectLocationCommand}" />
                            </Label.GestureRecognizers>

                        </Label>-->
                        

                    <!--<ffImageLoading:CachedImage
                        Grid.Column="3"
                        Margin="0,0,10,0"
                        HeightRequest="30"
                        Source="location"
                        HorizontalOptions="End"
                        WidthRequest="30">

                        <ffImageLoading:CachedImage.GestureRecognizers>
                            <TapGestureRecognizer Command="{Binding SelectLocationCommand}" />
                        </ffImageLoading:CachedImage.GestureRecognizers>

                    </ffImageLoading:CachedImage>-->
                        
                    </Grid>
                </yummy:PancakeView>
            </StackLayout>

            <Grid
                Grid.Row="6"
                Padding="0,0,0,20"
                VerticalOptions="Center">
                <Button
                    Grid.Row="0"
                    Margin="0,0,0,0"
                    BackgroundColor="{x:Static resources:Colors.purpal51}"
                    CharacterSpacing="2"
                    Command="{Binding SignUpCommand}"
                    CornerRadius="10"
                    FontFamily="Poppins-SemiBold"
                    FontSize="15"
                    HeightRequest="45"
                    Text="Registration"
                    TextColor="White"
                    VerticalOptions="End" />

            </Grid>

            <Grid
                Grid.Row="7"
                Padding="0,0,0,30"
                ColumnDefinitions="auto,auto,auto"
                HorizontalOptions="Center"
                VerticalOptions="Center"
                ColumnSpacing="5">
                <Label
                    Grid.Column="0"
                    FontFamily="Poppins-SemiBold"
                    FontSize="10"
                    TextColor="{x:Static resources:Colors.DimGray}"
                    Text="Have an account ?" />
                <Label
                    Grid.Column="1"
                    FontAttributes="Bold"
                    FontFamily="Poppins-SemiBold"
                    FontSize="10"
                    TextColor="{x:Static resources:Colors.DimGray}"
                    Text="Login Here">
                    <Label.GestureRecognizers>
                        <TapGestureRecognizer Command="{Binding BackCommand}" />
                    </Label.GestureRecognizers>
                </Label>
            </Grid>
            <!--<Entry Placeholder="Enter Email" Text="{Binding RagistrationInput.Email}" />
            <Entry Placeholder="Enter Mobile" Text="{Binding RagistrationInput.Contact}" />
            <Entry Placeholder="Enter Password" Text="{Binding RagistrationInput.Password}" />

            <Control:PLPicker
                Title="Select User Type"
                ItemDisplayBinding="{Binding UserType}"
                ItemsSource="{Binding UserTypeList}"
                SelectedItem="{Binding SelectedUserType}" />

            <Entry Placeholder="Enter Address" Text="{Binding RagistrationInput.Address}" />
            <Button Command="{Binding SignUpCommand}" Text="SignUp Here" />-->
        </Grid>
    </ContentPage.Content>

    <!--<ScrollView Margin="0" Padding="0">

        <Grid
            Grid.Row="1"
            Padding="20,10"
            RowDefinitions="Auto,Auto,Auto,Auto,Auto,Auto,Auto,Auto,Auto"
            RowSpacing="20"
            VerticalOptions="Center">

            <ffImageLoading:CachedImage
                HeightRequest="180"
                Source="PrezriptHome"
                WidthRequest="180">
                <ffImageLoading:CachedImage.Transformations>
                    <fftransformations:CircleTransformation />
                </ffImageLoading:CachedImage.Transformations>
            </ffImageLoading:CachedImage>

            <Label
                Grid.Row="1"
                HorizontalOptions="Center"
                Text="Register Here" />

            <Frame
                Grid.Row="2"
                Padding="0,5"
                BackgroundColor="Transparent"
                BorderColor="{x:Static resources:Colors.WhiteSmoke}">

                <Grid ColumnDefinitions="Auto,1,*" ColumnSpacing="10">

                    <ffImageLoading:CachedImage
                        Margin="15,0,0,0"
                        HeightRequest="25"
                        Source="mail"
                        WidthRequest="25" />

                    <BoxView
                        Grid.Column="1"
                        Margin="0"
                        BackgroundColor="{x:Static resources:Colors.WhiteSmoke}"
                        WidthRequest="1" />

                    <Control:XEntry
                        Grid.Column="2"
                        Keyboard="Email"
                        Placeholder="Email"
                        Text="{Binding RegistrationInput.Email}" />

                </Grid>

            </Frame>

            <Frame
                Grid.Row="3"
                Padding="0,5"
                BackgroundColor="Transparent"
                BorderColor="{x:Static resources:Colors.WhiteSmoke}">

                <Grid ColumnDefinitions="Auto,1,*" ColumnSpacing="10">

                    <ffImageLoading:CachedImage
                        Margin="15,0,0,0"
                        HeightRequest="25"
                        Source="phone"
                        WidthRequest="25" />

                    <BoxView
                        Grid.Column="1"
                        Margin="0"
                        BackgroundColor="{x:Static resources:Colors.WhiteSmoke}"
                        WidthRequest="1" />

                    <Control:XEntry
                        Grid.Column="2"
                        Keyboard="Numeric"
                        MaxLength="10"
                        Placeholder="Mobile"
                        Text="{Binding RegistrationInput.Contact}" />

                </Grid>

            </Frame>

            <Frame
                Grid.Row="4"
                Padding="0,5"
                BackgroundColor="Transparent"
                BorderColor="{x:Static resources:Colors.WhiteSmoke}">

                <Grid ColumnDefinitions="Auto,1,*" ColumnSpacing="10">

                    <ffImageLoading:CachedImage
                        Margin="15,0,0,0"
                        HeightRequest="25"
                        Source="lock"
                        WidthRequest="25" />

                    <BoxView
                        Grid.Column="1"
                        Margin="0"
                        BackgroundColor="{x:Static resources:Colors.WhiteSmoke}"
                        WidthRequest="1" />

                    <Control:XEntry
                        Grid.Column="2"
                        IsPassword="True"
                        Placeholder="Password"
                        Text="{Binding RegistrationInput.Password}" />

                </Grid>

            </Frame>

            <Frame
                Grid.Row="5"
                Padding="0,5"
                BackgroundColor="Transparent"
                BorderColor="{x:Static resources:Colors.WhiteSmoke}">

                <Grid ColumnDefinitions="Auto,1,*" ColumnSpacing="10">

                    <ffImageLoading:CachedImage
                        Margin="15,0,0,0"
                        HeightRequest="25"
                        Source="userwhite"
                        WidthRequest="25" />

                    <BoxView
                        Grid.Column="1"
                        Margin="0"
                        BackgroundColor="{x:Static resources:Colors.WhiteSmoke}"
                        WidthRequest="1" />

                    <Control:PLPicker
                        Title="Select User Type"
                        Grid.Column="2"
                        FontSize="{x:Static resources:FontSize.MediumFont}"
                        ItemDisplayBinding="{Binding UserType}"
                        ItemsSource="{Binding UserTypeList}"
                        SelectedItem="{Binding SelectedUserType}"
                        SetHintTextColor="{x:Static resources:Colors.WhiteSmoke}"
                        TextColor="{x:Static resources:Colors.WhiteSmoke}"
                        TitleColor="{x:Static resources:Colors.Black}" />

                </Grid>

            </Frame>

            <Frame
                Grid.Row="6"
                Padding="0,5"
                BackgroundColor="Transparent"
                BorderColor="{x:Static resources:Colors.WhiteSmoke}">

                <Grid ColumnDefinitions="Auto,1,*,Auto" ColumnSpacing="10">

                    <ffImageLoading:CachedImage
                        Margin="15,0,0,0"
                        HeightRequest="25"
                        Source="lock"
                        WidthRequest="25" />

                    <BoxView
                        Grid.Column="1"
                        Margin="0"
                        BackgroundColor="{x:Static resources:Colors.WhiteSmoke}"
                        WidthRequest="1" />

                    <Control:XEntry
                        Grid.Column="2"
                        IsReadOnly="{Binding IsEditable}"
                        Placeholder="Address"
                        Text="{Binding RegistrationInput.Address}" />

                    --><!--<Label
                        Grid.Column="3"
                        Text="Select"
                        TextColor="White">

                        <Label.GestureRecognizers>
                            <TapGestureRecognizer Command="{Binding SelectLocationCommand}" />
                        </Label.GestureRecognizers>

                    </Label>--><!--

                    <ffImageLoading:CachedImage
                        Grid.Column="3"
                        Margin="0,0,10,0"
                        HeightRequest="30"
                        Source="locationicon"
                        WidthRequest="30">

                        <ffImageLoading:CachedImage.GestureRecognizers>
                            <TapGestureRecognizer Command="{Binding SelectLocationCommand}" />
                        </ffImageLoading:CachedImage.GestureRecognizers>

                    </ffImageLoading:CachedImage>

                </Grid>
            </Frame>
            --><!--  8  --><!--
            <Button
                Grid.Row="7"
                BackgroundColor="{x:Static resources:Colors.WhiteSmoke}"
                Command="{Binding SignUpCommand}"
                FontFamily="Poppins-SemiBold"
                FontSize="{x:Static resources:FontSize.EighteenFont}"
                Text="Sign UP"
                TextColor="{x:Static resources:Colors.KingfisherDaisy}" />


            <Label
                Grid.Row="8"
                HorizontalOptions="Center"
                Text="Already registered ?">
                <Label.GestureRecognizers>
                    <TapGestureRecognizer Command="{Binding BackCommand}" />
                </Label.GestureRecognizers>
            </Label>
        </Grid>

    </ScrollView>-->
</local:SignUpPageXaml>